# Interface Symbol3DJsonBase

Base class for 3D symbols.

interface Symbol3DJsonBase {
symbolLayers: Symbol3DLayerJson[];
type: SymbolJsonType;
}

#### Hierarchy (view full)

- SymbolJsonBase
  - Symbol3DJsonBase
    - LabelSymbol3DJson
    - LineSymbol3DJson
    - MeshSymbol3DJson
    - PointSymbol3DJson
    - PolygonSymbol3DJson

#####
Index

### Properties

symbolLayers
type

##
Properties

### symbolLayers

symbolLayers: Symbol3DLayerJson[]

A Collection of Symbol3DLayer objects used to visualize the graphic or feature.

### type

type: SymbolJsonType

The type of symbol. See SymbolJsonType.

Inherited from SymbolJsonBase.type